<?php include_once('../common/main.php');
	
	
	// storing  request (ie, get/post) global array to a variable  
	$requestData= $_REQUEST;
	
	
	$columns = array( 
	// datatable column index  => database column name
		0 =>'rrm.report_id', 
		1 => 'rrm.orderno',
		2=> 'rrm.orderdate',
		3=> 'rc.cust_comp_name',
		4=> 'rb.brand_name',
		5=> 'rrm2.mkt_act_qty',
		6=> 'rrm2.mkt_report_type',
		7=> 'rrm.log_generated',
		8=> 'view',
		9=> 'clone',
		10=> 'delete'
	);
	/*
	 { "data": "sno" },
	{ "data": "orderno" },
	{ "data": "orderdate" },
	{ "data": "cust_comp_name" },
	{ "data": "brand_name" },
	{ "data": "qty" },
	{ "data": "type" },
	{ "data": "log_generated" },
	{ "data": "view" },
	{ "data": "clone" },
	{ "data": "delete" }
				
	*/
	// getting total number records without any search
	$sql = "SELECT rrm.*, rrm2.mkt_report_type, rrm2.mkt_act_qty, rc.cust_comp_name, rb.brand_name ";
	$sql.=" FROM rp_report_main rrm INNER JOIN rp_customer rc ON rrm.cust_refno=rc.cust_id INNER JOIN rp_brands rb ON rrm.brand=rb.brand_id INNER JOIN rp_report_market rrm2 ON rrm.report_id=rrm2.report_id WHERE 1=1";
	$queryResultI = $conn->execute($sql,'select-all');
	$totalDataF = count($queryResultI);
	$totalData = $totalDataF;  // when there is no search parameter then total number rows = total number filtered rows.
	
	if( !empty($requestData['search']['value']) ) {   // if there is a search parameter, $requestData['search']['value'] contains search parameter
		$sql.=" AND ( rc.cust_comp_name LIKE '".$requestData['search']['value']."%' ";    
		$sql.=" OR rb.brand_name LIKE '".$requestData['search']['value']."%' ";
		$sql.=" OR rrm.orderno LIKE '".$requestData['search']['value']."%' )";
	}
	
	$queryResultJ = $conn->execute($sql,'select-all');
	$totalFiltered = count($queryResultJ);
	
	$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
	
	/* $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc  */	
	
	$queryResultL = $conn->execute($sql,'select-all');
	
	//$totalData = count($queryResultL);
	$data = array();
	$i = 0;
	foreach($queryResultL as $row){
		$nestedData=array(); 
		$i++;
		/*
		[report_id] => 3
            [cust_refno] => 2
            [brand] => 1
            [orderno] => 17102
            [orderdate] => 07/09/2014
            [start_time] => 11:00:00
            [end_time] => 12:00:00
            [log_generated] => 0
            [report_generated] => 1
            [post_client] => 0
            [mkt_report_type] => sms
            [mkt_act_qty] => 50000
            [cust_comp_name] => Magna Global
            [brand_name] => Atlantis
			{ "data": "sno" },
			{ "data": "orderno" },
			{ "data": "orderdate" },
			{ "data": "cust_comp_name" },
			{ "data": "brand_name" },
			{ "data": "qty" },
			{ "data": "type" },
			{ "data": "log_generated" },
			{ "data": "view" },
			{ "data": "clone" },
			{ "data": "delete" }
		*/
		$nestedData['report_id'] = $row->report_id;
		$nestedData['orderno'] = $row->orderno;
		$nestedData['orderdate'] = $row->orderdate;
		$nestedData['cust_comp_name'] = $row->cust_comp_name;
		$nestedData['brand_name'] = $row->brand_name;
		$nestedData['qty'] = $row->mkt_act_qty;
		$nestedData['type'] = $row->mkt_report_type;
		
		if($row->log_generated == 0){
			$logsGen = '<a href="generatelog.php?id='.$row->report_id.'&qty='.$row->mkt_act_qty.'" onClick="return confirm(\'Do you want to Generate Logs?\')">
			<img src="images/icon_deny.png" title="Click here to Generate Logs" width="20" height="20">
			</a>';
		}else{
			$sentQty = $conn->execute("SELECT `qty_sent` FROM `rp_db` WHERE `report_id`=".$row->report_id,'select');
			
			$logsGen = '<a href="logs.php?id='.$row->report_id.'&q='.$sentQty->qty_sent.'" target="_BLANK">
			<img src="images/icon_accept.png" title="Click here to Generate Logs" width="20" height="20">
			</a>';
		}
		if($row->mkt_report_type == 'sms'){
			$nestedData['log_generated'] = $logsGen;
		}else{
			$nestedData['log_generated'] = '';
		}
		$nestedData['view'] =  '<a href="view.php?id='.$row->report_id.'" target="_BLANK">
			<img src="images/report.png" title="Click here to View Report" width="20" height="20">
			</a>';
		$nestedData['clone'] = '<a href="edit.php?id='.$row->report_id.'" target="_BLANK">Clone</a>';
		$nestedData['delete'] =  '<a href="delete.php?id='.$row->report_id.'&qty='.$row->mkt_act_qty.'" onClick="return confirm(\'Do you want to Delete this record?\')">
			<img src="images/icon_delete.png" title="Click here to Delete Report" width="20" height="20">
			</a>';
		
		$data[] = $nestedData;
	}
	
	
	
	$json_data = array(
				"draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw. 
				"recordsTotal"    => intval( $totalData ),  // total number of records
				"recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
				"data"            => $data   // total data array
				);
	
	echo json_encode($json_data);  // send data as json format

				
?>